Grouped Mappings admin API Resource

Object Mapping admin web services

GET /admin/autolinking

Fetch all autolinking mappings for current configuration

Try it out!

Response Body
media type data type description
application/json AutolinkingConfiguration (JSON) JSON Response, example of response:

POST /admin/autolinking

Add new autolinking mapping

Example of request:

{"srcClassId":"22","dstClassId":"12","srcFieldId":"fi2space_function","dstFieldId":"fi2prop_descr"}

Try it out!

Request Body
media type data type
application/json AutolinkingMapping (JSON)
Response Body
media type data type description
application/json AutolinkingConfiguration (JSON) JSON Response indicating where operation was successfully or not

PUT /admin/autolinking/allobjects

Perform autoLinking for all objects

Try it out!

Request Parameters
name type description default constraints
unlinkSurplus query whether objects that do not match autolinking criteria shall be unlinked.   boolean
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) JSON response with the created links

Example of response:

{"list":[{"sourceValue":"389540","sourceClass":"128","destinationValue":"53235","destinationClass":"108","isDefault":false,"success":true}]}

DELETE /admin/autolinking/{mappingId}

Delete autolinking mapping

Try it out!

Request Parameters
name type description default constraints
mappingId path - current mapping id   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not